<?php 
include"../../aut_verifica.inc.php";
require_once('../config/lang/eng.php');
require_once('../tcpdf.php');
error_reporting(E_ERROR | E_PARSE);
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	

$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
// Informacion del Documento
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('CLOPEZ');
$pdf->SetTitle('REPORTE DE CLIENTES POR VENDEDOR AMANACU');
$pdf->SetSubject('');
$pdf->SetKeywords('');
$pdf->setLanguageArray($l);
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 30);
$codigo_x=$_GET['usuario'];
$fecha_actualxls=$_GET['fecha_registro'];
$fecha_ingreso=date('Y-m-d - h:i:s A');
$token=$_GET['token'];
$codigo_cliente=$_GET['cod_cliente'];
$cod_vendedor=$_GET['cod_vendedor'];
$usuarios_conectadosx=mysql_query("select * from  tabla_usuarios where id='".$codigo_x."'",$link);
$ver_usuariosx=mysql_fetch_array($usuarios_conectadosx);

$consultar_sql_ver=mysql_query("select * from  tabla_vendedores where id='".$cod_vendedor."' ORDER BY id DESC ",$link);
$ver_consultar_sql_ver=mysql_fetch_array($consultar_sql_ver);

$contar_clientes_vendedor=mysql_query("select * from   tabla_vendedores_clientes where eliminar='0' and estatus='1' and cod_vendedor='".$cod_vendedor."' ",$link);
$contar_clientes=mysql_num_rows($contar_clientes_vendedor);	
$html1 ='
	<h3>MATADERO AVICOLA LOS LLANOS C.A - J-31074333-9</h3><br>
	IMPRESO POR: '.$ver_usuariosx['descripcion'].'  EL DIA '.$fecha_ingreso.'<br>
	VENDEDOR: '.$ver_consultar_sql_ver['nombre_apellido'].'<br>
	CLIENTES: '.$contar_clientes.'
';
$html2 ='
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="5%">COD</td>
			<td WIDTH="15%" style="text-align: left;">RIF</td>
			<td WIDTH="50%" style="text-align: left;">RAZON SOCIAL</td>
			<td WIDTH="20%" style="text-align: left;">FECH. DE LA ULTIMA FACT.</td>
			<td WIDTH="10%" style="text-align: right;">DEUDA $</td>
		</tr>
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
';
	$consultar_sql_cliente=mysql_query("select * from tabla_vendedores_clientes where cod_vendedor='$cod_vendedor' and eliminar='0' ",$link);
	while ($ver_consultar_sql_cliente=mysql_fetch_array($consultar_sql_cliente)){
										
	$control_clientes=$ver_consultar_sql_cliente['cod_cliente'];
	$control_vendedor=$ver_consultar_sql_cliente['cod_vendedor'];
							
	$consultar_sql_verx=mysql_query("select * from   tabla_clintes_xls where id='$control_clientes' ORDER BY id DESC ",$link);
	$ver_consultar_sql_verx=mysql_fetch_array($consultar_sql_verx);
	
	//SALDOS 
	
									$saldo_clientex1=mysql_query("select * from  tabla_saldos_clientes_xls where eliminar='0' and cod_cliente='$control_clientes' ",$link);
									$ver_saldo_clientex1=mysql_fetch_array($saldo_clientex1);
									
									$consultar_sql_ver_sumax234x=mysql_query("select SUM(monto_dolar),eliminar,fecha_registro,id,cod_cliente from  tabla_anticipo_xls where eliminar='0' and cod_cliente='$control_clientes' ",$link);
									$ver_consultar_sql_ver_sumax224x=mysql_fetch_array($consultar_sql_ver_sumax234x);
									
									$consultar_sql_ver_sumax3x=mysql_query("select SUM(monto_dolares),eliminar,fecha_factura,id,cod_cliente,tipo_documento from  tabla_factura_xls where eliminar='0' and  cod_cliente='$control_clientes' ",$link);
									$ver_consultar_sql_ver_sumax3x=mysql_fetch_array($consultar_sql_ver_sumax3x);	
	
									$monto_dolar_anticipo=$ver_consultar_sql_ver_sumax224x['SUM(monto_dolar)'];
									$monto_dolar_factura=$ver_consultar_sql_ver_sumax3x['SUM(monto_dolares)'];
									$saldo_cliente=$ver_saldo_clientex1['saldo_inicial']*(-1);
									
									$total_deuda=$monto_dolar_factura+$saldo_cliente;
									$salodo_total_x1=$monto_dolar_anticipo-$total_deuda;
										
										$consultar_fecha=mysql_query("select * from  tabla_factura_xls	where eliminar='0' and  cod_cliente='$control_clientes' and tipo_documento='0' ORDER BY id DESC ",$link);
										$ver_consultar_fecha=mysql_fetch_array($consultar_fecha);
										$fecha_factx=$ver_consultar_fecha['fecha_factura'];

									if($salodo_total_x1>=0){
										$fecha_fact='  ';
										$stlylo='style="text-align:right;"';
									}
									if($salodo_total_x1<0 and $fecha_factx!='') {
										$fecha_fact=$ver_consultar_fecha['fecha_factura'];
										$stlylo='style="text-align:right;"';
									}
									if($salodo_total_x1<0 and $fecha_factx=='') {
										$saldo_clientex1x=mysql_query("select * from  tabla_saldos_clientes_xls where eliminar='0' and cod_cliente='$control_clientes' ",$link);
										$ver_saldo_clientex1x=mysql_fetch_array($saldo_clientex1x);
										$fecha_saldo=$ver_saldo_clientex1x['fecha_ultimo_saldo'];
										$stlylo='style="background-color:#eae5e5; text-align:right;"';
										$fecha_fact=$fecha_saldo;
									}	
			if($salodo_total_x1>0){
				$saldox1=number_format($salodo_total_x1, 2, '.','');
				mysql_query("update  tabla_vendedores_clientes set saldo_mas='$saldox1',sado_menos='0.00'  where  id='".$ver_consultar_sql_cliente['id']."' and cod_cliente='".$control_clientes."' ",$link);
			} else {
				$saldox1=number_format($salodo_total_x1, 2, '.','');
				mysql_query("update  tabla_vendedores_clientes set saldo_mas='0.00',sado_menos='$saldox1'  where  id='".$ver_consultar_sql_cliente['id']."' and cod_cliente='".$control_clientes."'",$link);
			}
									
	$i++;
	$html51[]='
	<table  border="0" >
		<tr>
			<td WIDTH="5%">'.$ver_consultar_sql_verx['id'].'</td>
			<td WIDTH="15%" style="text-align: left;">'.$ver_consultar_sql_verx['rif'].'</td>
			<td WIDTH="60%" style="text-align: left;">'.$ver_consultar_sql_verx['descripcion'].'</td>
			<td WIDTH="10%" '.$stlylo.'>'.$fecha_fact.'</td>
			<td WIDTH="10%" '.$stlylo.'>'.number_format($salodo_total_x1, 2, ',','.').'</td>
		</tr>
	</table>
	 '; 
}
//number_format($ver_factura['SUM(total_venta)'], 2, ',','.')

			
	$deuda_consultar_sql_cliente=mysql_query("select SUM(saldo_mas),SUM(sado_menos),cod_vendedor,eliminar from tabla_vendedores_clientes where cod_vendedor='$cod_vendedor' and eliminar='0' ",$link);
	$deuda_ver_consultar_sql_cliente=mysql_fetch_array($deuda_consultar_sql_cliente);	
	$saldo_negativo_positivo=$deuda_ver_consultar_sql_cliente['SUM(sado_menos)']*-1;	
	$saldo_totalXZ=$deuda_ver_consultar_sql_cliente['SUM(saldo_mas)']-$saldo_negativo_positivo;		
										
$html3 ='

-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<br>
	<table border="0">
		<tr>
			<td WIDTH="52%"><b>TOTAL GENERALES :</b></td>
			<td WIDTH="15%" style="text-align: center;"></td>
			<td WIDTH="10%" style="text-align: right;"></td>
			<td WIDTH="10%" style="text-align: right;"></td>
			<td WIDTH="10%" style="text-align: right;">'.number_format($saldo_totalXZ, 2, ',','.').' $.</td>
		</tr>
	</table>
-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

';
$pdf->SetFont('times', '', 8);
$pdf->writeHTML($html1, true, 0, true, true);
$pdf->Ln();
$pdf->writeHTML($html2, true, 0, true, true);
$pdf->Ln(); 
for($x=0;$x<=$i;$x++){
	$pdf->writeHTML($html51[$x], true, 0, true, true);
	$pdf->Ln(1);
}
$pdf->writeHTML($html3, true, 0, true, true);
$pdf->Ln(); 
$pdf->write1DBarcode(''.$token.'', 'C39E+', '', '', '', 18, 0.4, $style, 'N');
$pdf->Ln();
$pdf->Output('PRESUPUESTO-'.$ver_consulta_cliente['rif'].'-'.$fecha_actualxls.'.pdf', 'I');
?>